#define SPI_PORTX PORTB
#define SPI_DDRX DDRB
#define SPI_MISO 4
#define SPI_MOSI 3
#define SPI_SCK 5
#define SPI_SS 2

#include "calculator.h"

void output_on_display(struct calculator *calc);
void SPI_MasterInit(void);
void SPI_MasterTransmit(char *buffer, size_t length);
void transmit_first_num(struct calculator *calc, char *buffer);
void transmit_second_num(struct calculator *calc, char *buffer);
void transmit_result(struct calculator *calc, char *buffer, char *symblo);
size_t display_all_clear(char color, char *buffer);
size_t display_add_simbol(char *str, size_t str_len, char *buffer);
size_t display_draw_line(char x1, char y1, char x2, char y2, char color, char *buffer);
size_t display_del_simbol(char number, char *buffer);
size_t display_set_page(char point, char *buffer);
